-------------------------------
FlexCat Open Source - Changelog
-------------------------------

#### FlexCat 2.18 RELEASE ################################################

2016-04-27  Jens Maus <mail@jens-maus.de>

  * misc: final 2.18 release preparations.
  * scanpo.c, main.c, misc: implemented a VERSION/N and REVISION/N option to
    allow to override the catalog version and revision numbers. This is e.g.
    the case if the ct/po files don't contain parseable $Id$ specifiers in case
    git is used as revision control. For these cases the revision can now be
    specified on the command-line as well.

2015-07-12 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c, utils.c: respect UTF8 encoded strings when doing the minimum and
    maximum length checks. A single UTF8 character might be encoded in up to
    three ASCII characters.

#### FlexCat 2.17 RELEASE ################################################

2015-04-03  Jens Maus <mail@jens-maus.de>

  * misc: bumped revision for final 2.17 release.
  * Makefile, include: added mingw32 libiconv static library and includes
    to our project so that we can compile windows binaries of flexcat again.

2015-04-01 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: do the check for intenionally empty translations regardless of the
    length of the original string. This fixes the visible "<EMPTY>" tag with YAM
    when invoking the online help while using the british english catalog.

#### FlexCat 2.16 RELEASE ################################################

2015-03-21  Jens Maus <mail@jens-maus.de>

  * misc: bumped revision for final 2.16 release.

2014-11-21 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: added support for slovakian translations.

2014-10-08 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: a failed UTF8 conversion will just cause a warning to be printed
    instead of an error. This makes it possible to see all failed conversions
    in one go instead of just single failures.

2014-10-07 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: use ISO-8859-2 instead of ISO-8859-16 for polish translations.

2014-09-04 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: added missing comparison against zero. Otherwise the russian
    catalogs gets the default codeset of 0 instead of 2104.

2014-08-27 Thore Böckelmann <tboeckel@gmx.de>

  * locale/russian.po: added russian translation.
  * utils.c: output a sensible error message in case the UTF8 conversion fails.

2014-08-16  Jens Maus <mail@jens-maus.de>

  * src/flexcat.h, Makefile: applied patch to get flexcat correctly compiled on
    64bit Linux systems. Thanks to Matthias Rustler for the nice patch. In
    addition the makefile was tuned to not use -m32 anymore to workaround the
    problem.

2014-07-21 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: Output an error message in case the UTF8 conversion fails.

2014-07-07 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: fixed the wrong date string scanning by rejecting spaces in the
    day of month handling. This closes #25.

#### FlexCat 2.15 RELEASE ################################################

2014-04-04  Jens Maus <mail@jens-maus.de>

  * misc: bumped revision for final 2.15 release.

2014-04-04 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: output a warning in case the catalog revision information is
    missing in the .po file. A revision of 0 (zero) will be used instead.

#### FlexCat 2.14 RELEASE ################################################

2014-04-02  Jens Maus <mail@jens-maus.de>

  * misc: bumped revision for final 2.14 release.

2014-04-02 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: fixed in typo for the AmigaOS build.
  * scanpo.c: for .po files empty translation strings are really yet missing
    translations cause the appropriate error message to be shown.

2014-04-01 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: extract the catalog name for the version tag from the Catalog-Name
    header line.

2014-03-30 Thore Böckelmann <tboeckel@gmx.de>

  * utils.c: don't convert from UTF8 to UTF8 in the AmigaOS builds, but use a
    plain copy the supplied string. This fixes the wrong umlauts in YAM's german
    catalog when doing a native build on AmigaOS4.

2014-03-27 Thore Böckelmann <tboeckel@gmx.de>

  * locale/german.po: updated german translation.
  * locale/spanish.po: updated spanish translation.

2014-03-23  Jens Maus <mail@jens-maus.de>

  * scanpo.c: added "\\33" to the double backslash strings that should be converted
    to single backslash strings when scanning a .po file.

2014-03-18 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: convert any double backslash followed by a zero character ('0') to
    a single backslash. This covers the most common usages in MUI applications,
    like "Q\0Quit" for combined menu item plus shortcut strings and "\033bbold"
    for styled MUI texts.

2014-03-11 Thore Böckelmann <tboeckel@gmx.de>

  * Makefile: reordered the object files to make sure that the version tag
    in an error string of FlexCat's own internal string is not accidentally
    used by the C:Version command.

2014-03-05 Thore Böckelmann <tboeckel@gmx.de>

  * createcat.c, createcatsrc.c: fixed some warnings about shadowed variables.

#### FlexCat 2.13 RELEASE ################################################

2014-02-28  Jens Maus <mail@jens-maus.de>

  * misc: bumped revision for final 2.13 release.
  * Makefile: updated Makefile to be somehwat more generic and compile
    everything a bit more smoothly.

2014-02-28 Thore Böckelmann <tboeckel@gmx.de>

  * scanpo.c: changed some english language names to their local names.

2014-02-25 Thore Böckelmann <tboeckel@gmx.de>

  * strptime.c: fixed a possible endless loop in the custom strptime
    implementation.
  * utils.c: fixed a buffer overrun in the AmigaOS builds when converting
    strings to the destination codeset.

2014-02-24 Jens Maus <mail@jens-maus.de>

  * scanpo.c, contrib/cd2po: added 'catalan' language to recognized
    translation languages.

2014-02-21 Jens Maus <mail@jens-maus.de>

  * scanpo.c: if an empty msgstr is found this string will be now omitted
    when creating a catalog. If, however, a string should be intentionally
    empty a translator have to use "<EMPTY>" to signal that this string
    should be empty.
  * scanpo.c, main.c, misc: implemented a new "CODESET" command line option
    which allows to force the output codeset. By specifying this option a
    user can force FlexCat to output the catalog strings in a certain
    codeset encoding (e.g. UTF-8).

2014-02-18 Jens Maus <mail@jens-maus.de>

  * locale: moved all ct/cd based translation files over to po/pot files now
    that the FlexCat is managed on transifex as well:
    (https://www.transifex.com/projects/p/flexcat/).

2014-02-17 Jens Maus <mail@jens-maus.de>

  * Makefile, lib/libcodesets.a: modified build environment to also perfectly
    build FlexCat for MorphOS again.
  * contrib/cd2po, scanpo.c: now "Amiga-1251" will be used for the charset
    conversion of russian catalogs. This however is currently only possible for
    the native builds of FlexCat. For the cd2po script and for the unix version
    where the iconv library is used for charset conversion "windows-1251" will
    be used instead which should be fine for most cases (non-console apps)

2014-02-17 Thore Böckelmann <tboeckel@gmx.de>

  * openlibs.c, utils.c: partly fixed the broken AmigaOS3 build. There are still
    unresolved references to strptime.
  * strptime.c: added a simple custom implementation of strptime() based on a
    similar function in YAM.

2014-02-16 Jens Maus <mail@jens-maus.de>

  * contrib/cd2po, scanpo.c: synchronized charset translation tables of
    scanpo.c routines and cd2po shell conversion routines.
  * scanpo.c: optimized the charset conversion routines to better match the
    default charsets and MIBenum numbers of each language.
  * contrib/cd2po: added the cd2po.sh shell script to convert between the cd
    and po format as a contribution. This script was previously part of the
    YAM project but has been moved here because that's the place it belongs.

2014-02-14 Jens Maus <mail@jens-maus.de>

  * scanpo.c, misc: implemented the PO-style translation file format which
    is now used by e.g. YAM and will be probably used by other upcoming
    projects using transifex as their translation service. Now a POFILE
    command line option has been added so that a user can run flexcat with
    just the PO file in the form "flexcat POFILE german.po CATALOG test.catalog"
    and will end up with a catalog file containing all translations. Please
    note that these conversion routines are in beta quality right now and
    will require some testing before a final release. Especially support for
    different platforms running flexcat haven't been widely tested.

2013-09-02 Pär Boberg <pbobbenb@spray.se>

  * src/catalogs/swedish.ct: updated to the latest changes.

2013-06-03 Thore Böckelmann <tboeckel@gmx.de>

  * Makefile: removed -lunix from LDFLAGS for the AmigaOS4 build. This closes
    #22.

2013-04-30 Thore Böckelmann <tboeckel@gmx.de>

  * catalogs/greek.ct: updated greek translation kindly provided by Antonis
    Iliakis.

#### FlexCat 2.12 RELEASE ################################################

2013-04-25  Jens Langner <Jens.Langner@light-speed.de>

  * misc: bumped revision for final 2.12 release.

2013-01-08 Thore Böckelmann <tboeckel@gmx.de>

  * main.c, readprefs.c: readded the NOAUTODATE and NOSPACES options as dummy
    options to keep old script alive (feature request #8).

#### FlexCat 2.11 RELEASE ################################################

2012-12-20  Jens Langner <Jens.Langner@light-speed.de>

  * misc: bumped revision for final 2.11 release.

2012-11-13 Thore Böckelmann <tboeckel@gmx.de>

  * src/scanct.c: don't output a warning about missing or excessive placeholders
    if either the original string or the translated string contains more single
    percent signs than the other string (bug #21).

2012-08-07 Thore Böckelmann <tboeckel@gmx.de>

  * src/Makefile: added automatic dependency generation.

#### FlexCat 2.10 RELEASE ################################################

2012-08-05  Jens Langner <Jens.Langner@light-speed.de>

  * misc: bumped revision for final 2.10 release.

2012-08-03 Thore Böckelmann <tboeckel@gmx.de>

  * src/showfuncs.c: slightly streamlined the error/warning output functions.
  * src/scancd.c, src/scanct.c, src/createcatsrc.c: error/warning messages now
    include the currently handled identifier name.

2012-06-26  Mariusz Danilewicz <mandi@interia.pl>

  * src/catalogs/polish.ct: updated to the latest changes.

2012-05-16  Pär Boberg <pbobbenb@spray.se>

  * src/catalogs/swedish.ct: updated to the latest changes.

2012-05-14 Thore Böckelmann <tboeckel@gmx.de>

  * src/scancd.c: non-ASCII characters will now be displayed with their value.

2011-12-26  Pär Boberg <pbobbenb@spray.se>

  * src/catalogs/swedish.ct: updated to the latest changes.

#### FlexCat 2.9 RELEASE #################################################

2011-11-26  Jens Langner <Jens.Langner@light-speed.de>

  * misc: bumped revision for final 2.9 release.

2011-08-22 Mariusz Danilewicz <mandi@interia.pl>

  * src/catalogs/polish.ct: update to the latest changes.

2011-08-22 Thore Böckelmann <tboeckel@gmx.de>

  * src/scancd.c: non-ASCII characters in the .cd file's original strings will
    now cause a warning to be printed as such characters are discouraged for the
    .cd file. A very prominent example is the Copyright sign '©' which should be
    encoded as '(c)' instead.

2011-08-15 Thore Böckelmann <tboeckel@gmx.de>

  * src/createcatsrc.c: fixed the length of double backslashes to be one instead
    of two for the CatComp blocks. Otherwise the offsets would be wrong.

2011-02-08 Thore Böckelmann <tboeckel@gmx.de>

  * src/catalogs/french.ct: updated french catalog kindly provided by
    Mrodfr-ATOFR

#### FlexCat 2.8 RELEASE #################################################

2011-02-03  Jens Langner <Jens.Langner@light-speed.de>

  * misc: bumped revision for final 2.8 release.
  * tools/mkrelease.sh: applied fix for .exe extension of flexcat binary for
    windows.
  * flexcat.h: fixed MorphOS and AROS build which don't seem to deal with
    asprintf().

2011-01-25 Thore Böckelmann <tboeckel@gmx.de>

  * createcat.c, createct.c, utils.c: added some security checks to all calls
    of asprintf().
  * Makefile: added support for Windows/mingw32 target being crosscompiled on a
    Linux host.
  * mkrelease.sh, Makefile: extended release script to build a Windows binary.

2011-01-20 Thore Böckelmann <tboeckel@gmx.de>

  * createcat.c: use "wb" instead of "w" to create the catalog file. Otherwise
    Windows systems will generate invalid catalog files.

2011-01-19 Thore Böckelmann <tboeckel@gmx.de>

  * createcat.c, createct.c, utils.c: replaced all malloc/sprintf combinations
    by asprintf() calls.
  * misc: added a project file for Microsoft VisualStudio to be able to build
    FlexCat for Windows systems. A custom implementation of (v)asprintf had to
    be added as well, since VS is too dump to know these functions.

2011-01-11 Thore Böckelmann <tboeckel@gmx.de>

  * main.c: fixed a warning.

2010-11-17 Thore Böckelmann <tboeckel@gmx.de>

  * catalogs/#?.ct: removed all empty translations for all supported languages.
    Otherwise one will get an empty warning or error message and will get
    absolutely no hint about what is wrong. This mainly affects the following
    strings: MSG_ERR_NOCTFILENAME, MSG_ERR_NOCATFILENAME
    Translators, please retranslate these strings!

2010-10-22 Mariusz Danilewicz <mandi@interia.pl>

  * catalogs/polish.ct: update to the latest changes.

2010-10-20 Thore Böckelmann <tboeckel@gmx.de>

  * scanct.c: added warning about mismatching control characters (i.e. LF) at
    the end of a line.
  * scanct.c: warnings about empty translations are now shown along with the
    line number.

2010-09-08 Mariusz Danilewicz <mandi@interia.pl>

  * AUTHORS: added translators section (please check and update missing persons).

2010-08-04 Vit Sindlar <sindlarv at centrum dot cz>

  * catalogs/czech.ct: added missing translation

2010-07-23 Thore Böckelmann <tboeckel@gmx.de>

  * catalogs/german.ct: fixed wrong translation of command line parameter name.
  * catalogs/german.ct: added missing translation.

2010-07-15 Thore Böckelmann <tboeckel@gmx.de>

  * createct.c: slightly simplified the header generation.

2010-07-01 Thore Böckelmann <tboeckel@gmx.de>

  * all: HUGE code cleanup. Removed the excessive usage of space characters.
    The code should be much more readable now.

2010-06-30  Mariusz Danilewicz <mandi@interia.pl>

  * catalogs\polish.ct: updated the existing Polish catalog translation
  * catalogs\polish.ct: second update for Polish catalog translation

2010-06-30 Thore Böckelmann <tboeckel@gmx.de>

  * scanct.c: added check for missing and empty translations.
  * dist/Install: added a question about whether the #?.sd files should be
    installed.
  * scanct.c: placeholders will only be checked if the '%' sign is followed by
    an alpha-numerical character or another '%' sign. Single '%' signs followed
    by other characters will no longer produce a warning.
  * scanct.c: removed AmigaOS-only language name check. Otherwise accented
    languages like "english-british" are not accepted due to the "-" character.

#### FlexCat 2.7 RELEASE #################################################

2010-06-29  Jens Langner <Jens.Langner@light-speed.de>

    * lib/RexCat.sd: added RexCat.sd file kindly provided by AmigaPhil. This closes
      feature request #2951260.
    * flexcat.h: fixed the version string creation to use the defines from
      version.h instead.
    * Makefile, tools/mkrelease.sh: more fixed to the Makefile to make it work
      with the global makefile and use the right lowercase "flexcat" command.

2010-06-29 Thore Böckelmann <tboeckel@gmx.de>

    * catalogs/FlexCat.cd: fixed some inconsistencies with some warnings and
      error messages.
    * Makefile: excluded the greek and turkish translations from the build
      process for the moment as they have displaced translations.
    * scanct.c: slightly obfuscated the version cookie check to avoid having
      multiple version cookies in the final executable.
    * main.c, version.h: added proper version cookie for all executables.
    * Makefile, catalogs/norwegian.ct: fixed norwegian translation and added it
      to the build process.
    * misc: added necessary stuff for an automated build for all supported
      platforms.
    * dist/Install: added Installer script.
    * added toplevel Makefile.
    * globals.c: include SDI_compiler.h to be able to use the USED_VAR macro.
    * Makefile: the OS3 version will be built for 68020+ now.

2010-06-28 Thore Böckelmann <tboeckel@gmx.de>

    * catalogs/german.ct: fixed some translation quirks.
    * scanct.c: implemented a simple placeholder check. FlexCat will now check
      for matching, missing and excessive placeholders, but only the very first
      character after the '%' sign will be checked. This fixes bug #747911.
    * catalogs/german.ct: updated german translation.

2010-06-27 Thore Böckelmann <tboeckel@gmx.de>

    * utils.c: simplified catalog flushing a lot by simply calling
      RemLibrary(LocaleBase) while locale.library is still opened.

2010-06-26  Jens Langner <Jens.Langner@light-speed.de>

    * Makefile: renamed the build target to the lowercase "flexcat" string
      so that the usage of flexcat with case sensitive file systems is more
      clear.

2010-06-25  Mariusz Danilewicz <mandi@interia.pl>

    * catalogs\polish.ct: updated the existing Polish catalog translation

2010-06-25 Thore Böckelmann <tboeckel@gmx.de>

    * scanct.c, catalogs/FlexCat.cd: implemented a simple version string check.
      The version must start with "$VER:" to be accepted. This fixes #747906.
    * all translations: removed trailing spaces. These are now handled by the
      code itself.
    * all translations: updated all identifiers to the new naming scheme.
    * Makefile: added rule to generate all catalogs.
    * scanct.c: fixed detection of "## codeset" command to correctly recognize
      missing codeset information. This fixes bug #747907.
    * locale.c: updated to latest generated version.

2010-06-24 Thore Böckelmann <tboeckel@gmx.de>

    * scanct.c: fixed a double free() in case the .ct file contained no traling
      empty line.
    * utils.c: replaced the malloc/strncpy combination by a realloc call.
    * utils.c: the expunge code will now correctly call the Expunge() function
      of locale.library for AmigaOS4, too. This fixes bug #1730644.
    * utils.c: removed the brain dead FreeMem(AllocMem(allyoucanget)) approach
      to expunge locale.library from memory.
    * Makefile: the .o files and the final binary are now placed into system
      specific directories to be able to build FlexCat for multiple platforms
      at the same time.
    * openlibs.c, vastubs.c, main.c: made FlexCat (cross)compilable for AmigaOS3
      again.
    * lib/NoAutoC_c.sd: fixed a warning for the OS3 build.
    * getft.c: don't use deprecated functions in the OS4 build anymore.
    * scanct.c, utils.c: use the GETINTERFACE() and DROPINTERFACE() macros for
      all OS4 stuff.
    * utils.c: fixed wrong jump table offsets for the Expunge() vector.

2010-06-01  Mariusz Danilewicz <mandi@interia.pl>

    * polish.ct: updated the existing Polish catalog translation

2007-12-13  Vit Sindlar <sindlarv at centrum dot cz>

    * czech.ct: updated the existing Czech catalog translation

2007-12-04  David Rey <tactica@users.sourceforge.net>

    * Makefile: made it more readable and also accept "powerpc" again in
      addition to "ppc" from "uname -m" for backwards compatibility.
    * showfuncs.c, showfuncs.h: added ShowErrorQuick() function to show
      errors omitting any line number.
    * scancd.c: now uses ShowErrorQuick() to complain about a missing
      catalog description file.
    * scanct.c: likewise to complain about a missing catalog translation
      file; now also detects an empty, missing or bad "## codeset" header,
      and a missing version; also added some debug output.
    * catalogs/FlexCat.cd: added new errors to suit.

2007-05-16  Joerg Strohmayer <nospam@gmx.de>

    * scancd.c: Ignores commands "printf_check_off" and "printf_check_on".

2007-05-07  Joerg Strohmayer <nospam@gmx.de>

    * Hardcode_c.sd and locale_other.c: Added missing const from patch
      #1713307.
    * Makefile: Fixed uname check, uname -m returns ppc, not powerpc, on
      AmigaOS4.

2007-01-21  Jens Langner <Jens.Langner@light-speed.de>

    * Makefile: adapted makefile to carry a DEBUG= option for compiling
      flexcat without any debugging enabled at all. Also added the "-m32" gcc
      option to the unix builds so that a 32bit version of flexcat will be
      generated. We somehow still have problems on getting correct
      catalog files generated when creating them with a 64bit flexcat.
    * flexcat.h, misc: introduced own portable datatype definitions like
      uint32,int32 and so on. These should help to nail down existing problems
      when building flexcat on 64bit system where e.g. long is defined as a
      64bit value. Adapted all 'unsigned long' and similar 64bit usages to
      use these new types instead.
    * scanct.c: fixed bug #752031 where a NULL pointer exception caused
      a crash when the COPYMSGNEW option was used under certain circumstances.

2007-01-07  David Rey <tactica@users.sourceforge.net>

    * scancd.c, scanct.c: the following events are now handled as
      errors instead of mere warnings:
      - Unexpected blanks (possibly caused by broken syntax)
      - Extra characters at the end of the line
      - Duplicated or conflicting ##version, ##language, ##name and ##rcsid
        commands
      - Missing brackets
      - Duplicated ID numbers and identifiers
    * createcatsrc.c: likewise with binary characters in string type None
    * utils.c: ditto with unexpected stuff instead of hex/octal characters
    * scanct.c: now also exits with an error if the codeset is declared
      twice, also fixed memory leak ('line' counter was never freed) and
      added support for the full 32bit codeset range as supported by
      AmigaOS 4
    * showfuncs.c: errors are now as verbose as warnings are
    * FlexCat.cd: added MSG_ERR_DOUBLECTCODESET & MSG_ERR_ERROR to suit
    * FlexCat_cat.h, FlexCat_cat_other.h, locale.c, locale_other.c:
      regenerated

2007-01-06  David Rey <tactica@users.sourceforge.net>

    * scanct.c: now exits with an error if the ##language command contains
      non-alphabetical characters, at least for AmigaOS (fixes bug #747909),
      and also checks properly for trailing ellipsis in both catalog
      description and translation files (fixes bug #747904).
      Thanks to Vicente "Ami603" Gimeno for his help!
    * FlexCat.cd: added two additional strings to suit
    * Makefile: fixed the paths added recently to keep make happy,
      replaced -g with -ggdb, now generates all the auto-generated
      files from FlexCat.cd no matter what the host platform is.
    * FlexCat_cat.h, FlexCat_cat_other.h, locale.c, locale_other.c:
      regenerated

2007-01-01  David Rey <tactica@users.sourceforge.net>

    * ChangeLog: replaced "Source" with "URL" keyword for SVN
    * gpl.txt: renamed as COPYING
    * developer.readme: renamed as README
    * todo: renamed as TODO
    * misc: rearranged the whole directory hierarchy
    * Makefile: modified to suit the changes in the directory layout,
      dropped the removal of m68k specific builds from the "clean" target
      (this belongs to the smakefile), added removal of the guide files
      to it, and added a "realclean" one which additionally removes the
      autogenerated headers
    * createcat.c, createcat.h, createcatsrc.c, createcatsrc.h, createct.c,
      createct.h, flexcat.h, getft.c, globals.c, globals.h, main.c,
      readprefs.c, readprefs.h, scancd.c, scancd.h, scanct.c, scanct.h,
      showfuncs.c, showfuncs.h, swapfuncs.c, swapfuncs.h, utils.c, utils.h:
      updated copyright notice (2006->2007)
    * NoAutoC_c.sd, NoAutoC_h.sd: added the missing Id keyword for SVN
    * Cat2h_c.sd: removed some empty lines and moved ##stringtype to the
      beginning to make it consistent with the other source descriptors.
    * AmigaOberon.sd: replaced the copyright symbol with something
      friendly with all charsets
    * ARexx.sd: replaced germanisms with English text
    * AutoC_c.sd, C++_h.sd, C_c.sd, C_c_V20.sd: better English comments now
    * Hardcode_c.sd: updated copyright notice (2006->2007) and fixed some
      typos
    * Oberon-A.sd: typos fixed
    * Minor changes in most source descriptors to make them more consistent
    * scanct.c: now checks for trailing spaces added in the translation, too
      (fixes bug #747905)
    * FlexCat.cd: added new error string to match the new feature
    * FlexCat_cat.h, FlexCat_cat_other.h, locale.c, locale_other.c:
      regenerated

2006-12-31  Joerg Strohmayer <nospam@gmx.de>

    * Makefile, flexcat.h: Several flexcat->FlexCat changes to be able to
      build on case sensitive file systems, renamed flexcat_cat(_other).h
      to FlexCat_cat(_other).h for the same reason.


--- Sources moved to SubVersion ---


2006-12-30  David Rey <tactica@users.sourceforge.net>

    * scancd.c, scanct.c: they now take a '#' in the first column of a
      line as command introducer and skip any blank spaces, tabs and
      further '#' symbols found afterwards to be compatible with CatComp
      (fixes bug #1473677)
    * FlexCat.cd: removed MSG_ERR_NOCTCOMMAND, now obsoleted by this change
    * Makefile, createcat.c, createcat.h, createcatsrc.c, createcatsrc.h,
      createct.c, createct.h, flexcat.h, getft.c, globals.h, main.c,
      readprefs.h, scancd.c, scancd.h, scanct.c, scanct.h, showfuncs.c,
      showfuncs.h, swapfuncs.h, utils.c, utils.h: removed C++ style comments
      and made some other minor adjustments
    * flexcat_cat.h, flexcat_cat_other.h, locale.c, locale_other.c:
      regenerated

2006-12-27  David Rey <tactica@users.sourceforge.net>

    * FlexCat.cd: converted all identifiers to use only uppercase letters,
      renamed some to make them more descriptive, renamed all MSG_WARN_#?
      identifiers as MSG_ERR_#?, then put them all together starting
      from slot 100.
    * createcat.c, createcatsrc.c, createct.c, main.c, readprefs.c,
      scancd.c, scanct.c, showfuncs.c, utils.c: modified to suit
    * flexcat_cat_other.h, flexcat_cat.h, locale.c, locale_other.c:
      regenerated

2006-12-26  David Rey <tactica@users.sourceforge.net>

    * createcat.c, createct.c, main.c, readprefs.c, readprefs.h,
      utils.c, FlexCat.cd: completely removed support for the NOSPACE
      and NOAUTODATE switches.
    * Makefile: now generates "FlexCat", not "flexcat".
    * flexcat_cat.h, flexcat_cat_other.h, locale_other.c, locale.c:
      regenerated.

2006-12-25  David Rey <tactica@users.sourceforge.net>

    * Makefile: now detects AmigaOS 4 automatically and doesn't need
      "OS=AmigaOS4" anymore (thanks to Henning Nielsen Lund for the
      patch), "clean" also removes the m68k specific builds (and
      patches) and the AmigaOS 4 build uses -lunix to support UNIX
      style paths
    * getft.c: fixed the remaining warning (Henning again)
    * createcat.c: now always generates 4-digit years
    * createct.c: no longer forces a local codeset while updating an
      old translation on a system using locale.library V47 or newer
      (fixes bug #1367295)
    * scancd.c: added "#array" to the ignore list (fixes bug #1204131)

2006-12-24  David Rey <tactica@users.sourceforge.net>

    * in: removed, no use for it

2006-11-23  David Rey <tactica@users.sourceforge.net>

    * Makefile: added "-Wall -Wwrite-strings" to the default CFLAGS,
      also added explicitly the native MorphOS GCC to the MorphOS build
      process, and the AmigaOS/m68k GCC to the original AmigaOS build,
      plus the missing getft.o object and "-DNO_INLINE_STDARG" as CFLAGS to
      the latter, thanks to Joachim Birging and Henning Nielsen Lund for
      the patches.
    * getft.c: replaced the reference to ZERO with NULL for compatibility
      (again Joachim)

2006-11-01  David Rey <tactica@users.sourceforge.net>

    * Makefile: now builds with recent versions of GCC for OS4
      (-newlib -> -mcrt=newlib), supports crosscompilers for
      this target, added -Wall -Wwrite-strings to the CFLAGS for
      the OS4 target.
      (Patch #1588835 from Henning Nielsen Lund <hnl_dk@users.sourceforge.net>)
    * createcat.c, createcatsrc.c, createct.c, flexcat.h, getft.c, globals.c,
      readprefs.c, scancd.c, scanct.c, utils.c: no longer throw warnings with
      -Wwrite-strings
      (same patch)
    * flexcat.h: modified version string to mark the current build as a
      development version
    * lib/NoAutoC_c.sd, lib/NoAutoC_h.sd: fixed -Wwrite-strings warnings
      in the auto-generated files.
      (Patch #1588907 from Henning Nielsen Lund <hnl_dk@users.sourceforge.net>)
    * locale.c, flexcat_cat.h: regenerated

2006-03-25  David Rey <tactica@users.sourceforge.net>

    * todo: translated the Polish bits to English thanks to the
      help of Mariusz Danilewicz, also updated it in the process.

2006-03-24  David Rey <tactica@users.sourceforge.net>

    * createct.c: the "## version" header in translations generated
      with the NEWCTFILE switch no longer contains "<name.ct>", but
      "<name.catalog>" for compatibility with other compilers (fixes
      bug #778520); as well, we now generate years properly instead
      of 2-digit ones.
    * FlexCat.¶, FlexCatFinal.¶, FlexCatPPC.¶: removed

2006-03-20  David Rey <tactica@users.sourceforge.net>

    * createcat.c, createcat.h, createcatsrc.c, createcatsrc.h,
      createct.c, createct.h, flexcat.h, getft.c, globals.c, globals.h,
      main.c, readprefs.c, readprefs.h, scancd.c, scancd.h, scanct.c,
      scanct.h, showfuncs.c, showfuncs.h, swapfuncs.c, swapfuncs.h,
      utils.c, utils.h: updated copyright notices, unified formatting
      and comments style where appropriate, fixed some harmless
      typos, dropped all the tabs spotted in the process
    * flexcat.h: now creates a 99% correct AmigaOS version string
    * lib/Hardcode_c.sd: updated copyright notice

2006-03-19  Jens Langner <Jens.Langner@light-speed.de>

    * main.c: fixed a bug in the 'BaseName' stripping routines. When a
      *.cd file was specified with a path (e.g. './test.cd') then the
      basename was found to be '/test' instead of 'test'.
    * createcatsrc.c: fixed two minor memory leaks where we forgot to
      free the resulsts of AllocFileName()

2005-04-28  David Rey <tactica@users.sourceforge.net>

    * utils.c, makefile: added new AmigaOS 4 target.
      (Patch #1190521 from Juha Niemimaki <capehill@users.sourceforge.net>)
    * ChangeLog: added
